Skip to content

Instantly share code, notes, and snippets.

View vazhnov's full-sized avatar

Alexey Vazhnov vazhnov

View GitHub Profile
@vazhnov
vazhnov / remove_oldest_files.sh
Last active February 2, 2022 06:22
Remove oldest .tgz files, if free space less than 50GB
#!/usr/bin/env bash
# set -o nounset
set -o errexit
shopt -s dotglob
# Remove oldest .tgz files, if free space less than 50GB
#
# License: CC0 1.0 or newer
# https://creativecommons.org/publicdomain/zero/1.0/
#
@vazhnov
vazhnov / zabbix32_pgsql_install_1710_artful.sh
Last active May 4, 2019 10:42
Quick install Zabbix 3.2.9 in Ubuntu 17.10 artful with PostgreSQL
# License: CC0 1.0 or newer
# https://creativecommons.org/publicdomain/zero/1.0/
# You can download this script here: https://gist.github.com/vazhnov/04098a00ae4d78412825a3f69c03ec6c
wget "http://repo.zabbix.com/zabbix/3.2/ubuntu/pool/main/z/zabbix-release/zabbix-release_3.2-1+xenial_all.deb"
sudo dpkg -i zabbix-release_3.2-1+xenial_all.deb
sudo apt-get update
sudo apt-get install zabbix-server-pgsql zabbix-frontend-php libapache2-mod-php php-bcmath php-mbstring php-xml php-pgsql
# Zabbix can't work without password (with ident), so you need to create user with password:
@vazhnov
vazhnov / zabbix3_pgsql_install_1604_xenial.sh
Last active July 5, 2018 07:45
Quick install Zabbix 3.0 in Ubuntu 16.04 xenial with PostgreSQL
# License: CC0 1.0 or newer
# https://creativecommons.org/publicdomain/zero/1.0/
# You can download this script here: https://gist.github.com/vazhnov/fcb487e6ea432fec056793ef710b5a28
wget "http://repo.zabbix.com/zabbix/3.0/ubuntu/pool/main/z/zabbix-release/zabbix-release_3.0-1+xenial_all.deb"
sudo dpkg -i zabbix-release_3.0-1+xenial_all.deb
sudo apt-get update
sudo apt-get install zabbix-server-pgsql zabbix-frontend-php libapache2-mod-php php-bcmath php-mbstring php7.0-xml php-pgsql
# Zabbix can't work without password (with ident), so you need to create user with password:
@vazhnov
vazhnov / zabbix3_proxy_pgsql_install_xenial.sh
Created October 7, 2016 16:13
Install Zabbix 3.0 proxy in Ubuntu 16.04 xenial with PostgreSQL
#!/usr/bin/env bash
# License: CC0 1.0 or newer
# https://creativecommons.org/publicdomain/zero/1.0/
# You can download this script here: https://gist.github.com/vazhnov/c049cd534db3e3ce7fd5452b72c0daca
wget "http://repo.zabbix.com/zabbix/3.0/ubuntu/pool/main/z/zabbix-release/zabbix-release_3.0-1+xenial_all.deb"
sudo dpkg -i zabbix-release_3.0-1+xenial_all.deb
sudo apt-get update